_weaponsList = [];
_namelist = [];
_cfgweapons = configFile >> "cfgWeapons";
for "_i" from 0 to (count _cfgweapons)-1 do {
	_weapon = _cfgweapons select _i;
	if (isClass _weapon) then {
		_wCName = configName(_weapon);
		_wDName = getText(configFile >> "cfgWeapons" >> _wCName >> "displayName");
		_wModel = getText(configFile >> "cfgWeapons" >> _wCName >> "model");
		_wType = getNumber(configFile >> "cfgWeapons" >> _wCName >> "type");

		if ((_wCName!="") && (_wDName!="") && (_wModel!="") && (_wType<6)) then {
			if !(_wDName in _namelist) then {
				_wHits=0;
				_mags=[];
				_muzzles = getArray(configfile >> "cfgWeapons" >> _wCName >> "muzzles");
				if ((_muzzles select 0)=="this") then {
					_muzzles=[_wCName];
					_mags = getArray(configfile >> "cfgWeapons" >> _wCName >> "magazines");
				} else {
					{
						_muzzle=_x;
						_mags = getArray(configfile >> "cfgWeapons" >> _wCName >> _muzzle >> "magazines");
					}forEach _muzzles;
				};
				{
					_ammo = getText(configfile >> "cfgMagazines" >> _x >> "ammo");
					_hit = getNumber(configfile >> "cfgAmmo" >> _ammo >> "hit");
					_wHits = _wHits + _hit;
				}forEach _mags;
				
				if (_wHits>1) then {
					_weaponsList = _weaponsList + [_wCName];
					_namelist = _namelist + [_wDName];
				};
			};
		};
	};
};
_namelist=nil;

createDialog "Dlg2";
lbClear 61;
_i=0;
{
	lbAdd [61,format["%1",getText (configFile >> "cfgWeapons" >> _x >> "displayName")]];
	lbSetValue [61, _i, _i];
	_i=_i+1;
} forEach _weaponsList;
lbSort (findDisplay 60 displayCtrl 61); 

_index=0;
for "_i" from 0 to (lbSize 61)-1 do {
	lbSetCurSel [61,_i];
	if (_index==0) then {
		{
			if ((_weaponsList select lbValue [61, _i])==_x) then {
				_index=_i;
			};
		}forEach weapons player;
	};
};
_i=(_index -9) max 0;
lbSetCurSel [61, _i];
lbSetCurSel [61, _index];


_wepidx=lbValue [61, _index];
_lstidx=_index;
while {ctrlVisible 61} do {
	_index = lbCurSel 61;
	if ((_index!=0) && (_index!=_lstidx)) then {
		_wepidx=lbValue [61, _index];
		closeDialog 60;
	};
	sleep .1;
};
if (_lstidx==_index) exitWith {};
_wepsel=_weaponsList select _wepidx;


{player removeMagazine _x} forEach magazines player;
_muzzles = getArray(configfile >> "cfgWeapons" >> _wepsel >> "muzzles");
if ((_muzzles select 0)=="this") then {
	_muzzles=[_wepsel];
	_mags = getArray(configfile >> "cfgWeapons" >> _wepsel >> "magazines");
	{player addMagazine _x}forEach _mags;
} else {
	{
		_muzzle=_x;
		_mags = getArray(configfile >> "cfgWeapons" >> _wepsel >> _muzzle >> "magazines");
		{player addMagazine _x}forEach _mags;
	}forEach _muzzles;
};
player addWeapon _wepsel;
{if (_x!=_wepsel) then {player removeWeapon _x}} forEach weapons player;

